%define majver %(echo %version | cut -d. -f1-2)
Name:          libmypaint
Version:       1.6.1
Release:       2mamba
Summary:       MyPaint brush engine library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://mypaint.org/
Source:        https://github.com/mypaint/libmypaint.git/v%{version}/libmypaint-%{version}.tar.bz2
Patch0:        libmypaint-1.3.0-versioning.patch
Patch1:        libmypaint-1.3.0-libgegl-0.4.8.patch
Patch2:        libmypaint-1.3.0-libgegl-0.4.14.patch
Patch3:        libmypaint-1.6.1-autoconf.patch
License:       ISC License
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
BuildRequires: libjson-c-devel
## AUTOBUILDREQ-END

%description
This is the brush library used by MyPaint. A number of other painting programs use it too.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
%patch3 -p1 -b .autoconf
./autogen.sh

%build
%configure \
   --disable-gegl
   
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name} --all-name || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libmypaint.so.*
#%{_libdir}/libmypaint-gegl.so.*
%{_libdir}/girepository-1.0/MyPaint-*.typelib
#%{_libdir}/girepository-1.0/MyPaintGegl-*.typelib
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libmypaint
%{_includedir}/libmypaint/*.h
%dir %{_includedir}/libmypaint/fastapprox
%{_includedir}/libmypaint/fastapprox/*.h
%dir %{_includedir}/libmypaint/glib
%{_includedir}/libmypaint/glib/*.h
#%dir %{_includedir}/libmypaint-gegl
#%{_includedir}/libmypaint-gegl/*.h
%{_libdir}/libmypaint.so
#%{_libdir}/libmypaint-gegl.so
%{_libdir}/pkgconfig/libmypaint*.pc
%{_datadir}/gir-1.0/MyPaint-*.gir
#%{_datadir}/gir-1.0/MyPaintGegl-*.gir
%doc README.md TODO

%changelog
* Wed Dec 28 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.1-2mamba
- fix build with autoconf patch and disabling gegl

* Sun Sep 06 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.1-1mamba
- update to 1.6.1

* Sat Mar 21 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.1-1mamba
- update to 1.5.1

* Sun Mar 24 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.0-3mamba
- add unversioned symlinks for pkgconfig files

* Tue Oct 09 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.0-2mamba
- rebuilt with --enable-gegl, added patches from arch

* Sat Apr 15 2017 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.3.0-1mamba
- package created using the webbuild interface
